ECONF_FREEFILE(3)

NAME
econf_freeFile - free memory allocated for a configuration file object

SYNOPSIS

#include <libeconf.h>

void econf_freeFile(econf_file *key_file);

DESCRIPTION

The econf_freeFile() function releases the memory allocated for the configuration file object specified by key_file.

The key_file parameter is a pointer to the econf_file structure that was previously allocated by functions such as econf_readFile(3), econf_readConfig(3), or econf_newIniFile(3).

After this function is called, the pointer key_file is invalid and should not be accessed.

RETURN VALUE

The econf_freeFile() function returns no value.

SEE ALSO

econf_freeFilep(3), econf_readFile(3), econf_readConfig(3), econf_newIniFile(3), libeconf(3)